Net::Server::Proto::TCP(3)

NAME
  Net::Server::Proto::TCP - Net::Server TCP protocol.

SYNOPSIS
See Net::Server::Proto.

DESCRIPTION
Protocol module for Net::Server. This module implements the SOCK_STREAM socket type under INET (also known as TCP). See Net::Server::Proto.

PARAMETERS
There are no additional parameters that can be specified. See Net::Server for more information on reading arguments.

INTERNAL METHODS

"object"
    Returns an object with parameters suitable for eventual creation of a IO::Socket::INET object listining on UDP.

"log_connect"
    Called before binding the socket to provide useful information to the logs.

"connect"
    Called when actually binding the port. Handles default parameters before calling parent method.

"reconnect"
    Called instead of connect method during a server hup.

"accept"
    Override of the parent class to make sure necessary parameters are passed down to client sockets.

"poll_cb"
    Allow for psgi compatible interface during HTTP server.

"read_until"
    Takes a regular expression, reads from the socket until the regular expression is matched.

"hup_string"
    Returns a unique identifier that can be passed to the re-exec'ed process during HUP.

"show"
    Basic dumper of properties stored in the glob.

"AUTOLOAD"
    Handle accessor methods.

LICENCE
Distributed under the same terms as Net::Server